## kdenetwork-filesharing 20.08.1

=== debian/changelog ===
kdenetwork-filesharing (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:11 +0100

kdenetwork-filesharing (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:52 +0100

kdenetwork-filesharing (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:36:31 +0100

kdenetwork-filesharing (4:20.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update Long description (Closes: #691634).
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.7.0
    - add libkf5completion-dev
    - remove unused libkf5doctools-dev
    - explicitly add gettext
  * Drop the migration from kdenetwork-filesharing-dbg, no more needed after
    two Debian stable releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Add Enhances: dolphin.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 17:00:17 +0200

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.7.0~),
               gettext,
               libkf5completion-dev (>= 5.7.0~),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5widgetsaddons-dev (>= 5.7.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.0.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: samba
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kdenetwork-filesharing 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(filesharing)

set(QT_MIN_VERSION "5.0.0")
set(KF5_MIN_VERSION "5.74.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Qml
    QuickWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    CoreAddons
    I18n
    KIO
    WidgetsAddons
    Declarative
)

find_package(PackageKitQt5)
set_package_properties(PackageKitQt5
    PROPERTIES DESCRIPTION "Software Manager integration"
    TYPE OPTIONAL
    PURPOSE "Needed to automatically install the samba package."
)

find_package(net)
set_package_properties(net PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "Samba CLI tool"
    PURPOSE "Runtime dependency to do anything"
)

find_package(testparm)
set_package_properties(testparm PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "Samba CLI tool"
    PURPOSE "Runtime dependency to do anything"
)

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckTypeSize)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(SAMBA_INSTALL "Offer to install Samba for file sharing with PackageKit if it is not already installed, use -DSAMBA_INSTALL=off to disable, use -DSAMBA_PACKAGE_NAME= to set package name." ON)
set(SAMBA_PACKAGE_NAME \"samba\" CACHE STRING "Single package or comma-separated list of packages needed for a functional Samba stack on this distribution.")

if(SAMBA_INSTALL AND PackageKitQt5_FOUND)
    add_definitions(-DSAMBA_INSTALL)
    add_definitions(-DSAMBA_PACKAGE_NAME=${SAMBA_PACKAGE_NAME})
else()
    set(SAMBA_INSTALL false)
endif()
add_feature_info("Samba Installation" SAMBA_INSTALL "Automatic installation of '${SAMBA_PACKAGE_NAME}' using PackageKit.")

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kfileshare\")

add_definitions(
        -DQT_NO_FOREACH
        -DQT_NO_EMIT
)

add_subdirectory(samba)

install(FILES org.kde.kdenetwork-filesharing.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== samba/CMakeLists.txt ===
add_subdirectory(filepropertiesplugin)

=== samba/filepropertiesplugin/CMakeLists.txt ===
########### next target ###############

set(sambausershareplugin_PART_SRCS
    sambausershareplugin.cpp
    model.cpp
    usermanager.cpp
    groupmanager.cpp
)

if(SAMBA_INSTALL)
    list(APPEND sambausershareplugin_PART_SRCS sambainstaller.cpp)
endif()

qt5_add_resources(sambausershareplugin_PART_SRCS qml/qml.qrc)

add_library(sambausershareplugin MODULE ${sambausershareplugin_PART_SRCS})

target_link_libraries(sambausershareplugin
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    Qt5::Qml
    Qt5::QuickWidgets
    KF5::Auth
    KF5::Declarative
)

if(SAMBA_INSTALL)
    target_link_libraries(sambausershareplugin PK::packagekitqt5)
endif()

install(TARGETS sambausershareplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sambausershareplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

# kauth

kauth_install_actions(org.kde.filesharing.samba org.kde.filesharing.samba.actions)
add_executable(authhelper authhelper.cpp)
target_link_libraries(authhelper KF5::AuthCore KF5::ConfigCore KF5::I18n)

kauth_install_helper_files(authhelper org.kde.filesharing.samba root)
install(TARGETS authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== debian/changelog ===
kdenetwork-filesharing (4:20.12.0-2) unstable; urgency=medium

  * Update build dependencies according to the upstream build system:
    - KF5 >= 5.74.0
    - add libkf5declarative-dev
  * Add missing runtime dependency:
    - samba-common-bin

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Dec 2020 22:02:26 +0100

kdenetwork-filesharing (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Refresh upstream metadata.
  * Update project homepage.
  * Remove Modestas Vainius, George Kiagiadakis, Eshat Cakar, Maximiliano
    Curia from the uploaders, thanks for your work on the package!
  * Add myself to the uploaders.
  * Bump debhelper compatibility level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Dec 2020 18:50:17 +0100

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5completion-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.0.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/network/kdenetwork-filesharing
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git
Rules-Requires-Root: no

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: samba-common-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: samba
Enhances: dolphin
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 20.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:42 +0000

kdenetwork-filesharing (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:56 +0000

kdenetwork-filesharing (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:29 +0000

## kdenetwork-filesharing 21.08.1

=== debian/changelog ===
kdenetwork-filesharing (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:42 +0100

kdenetwork-filesharing (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:11 +0100

kdenetwork-filesharing (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:14 +0100

kdenetwork-filesharing (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:59 +0100

kdenetwork-filesharing (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:06 +0100

kdenetwork-filesharing (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:38 +0100

kdenetwork-filesharing (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:16 +0100

kdenetwork-filesharing (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:56 +0100

## kdenetwork-filesharing 21.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:23 +0000

kdenetwork-filesharing (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:52 +0000

kdenetwork-filesharing (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:42 +0000

kdenetwork-filesharing (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:48 +0000

kdenetwork-filesharing (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:05:02 +0000

kdenetwork-filesharing (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:16:03 +0000

kdenetwork-filesharing (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:25:15 +0000

kdenetwork-filesharing (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdenetwork-filesharing
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
@@ -19,8 +20,8 @@
                qtbase5-dev (>= 5.0.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/network/kdenetwork-filesharing
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
 Rules-Requires-Root: no
 
 Package: kdenetwork-filesharing

## kdenetwork-filesharing 22.08.1

=== debian/changelog ===
kdenetwork-filesharing (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:51 +0100

kdenetwork-filesharing (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:53 +0100

kdenetwork-filesharing (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:18 +0100

kdenetwork-filesharing (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:18 +0100

kdenetwork-filesharing (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:51 +0100

kdenetwork-filesharing (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:49 +0100

## kdenetwork-filesharing 22.12.1

=== debian/changelog ===
kdenetwork-filesharing (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:30 +0100

kdenetwork-filesharing (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:37 +0100

kdenetwork-filesharing (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:54 +0100

kdenetwork-filesharing (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:42:38 +0100

kdenetwork-filesharing (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:09:36 +0900

kdenetwork-filesharing (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 15:14:53 +0900

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5auth-dev (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5declarative-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/kdenetwork-filesharing
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git
Rules-Requires-Root: no

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends}
Suggests: samba
Enhances: dolphin
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 22.12.3

=== samba/aclproperties/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020-2021 Harald Sitter <sitter@kde.org>

add_library(SambaAcl MODULE plugin.cpp qml/qml.qrc debug.cpp model.cpp aceobject.cpp)
target_link_libraries(SambaAcl
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::KIOCore
    Qt::Qml
    Qt::QuickWidgets
)

install(TARGETS SambaAcl DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/propertiesdialog/)

=== samba/filepropertiesplugin/CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,15 @@
     model.cpp
     usermanager.cpp
     groupmanager.cpp
+    permissionshelper.cpp
+
+    qml/qml.qrc
 )
 
 if(SAMBA_INSTALL)
     list(APPEND sambausershareplugin_PART_SRCS sambainstaller.cpp)
 endif()
 
-qt5_add_resources(sambausershareplugin_PART_SRCS qml/qml.qrc)
 
 add_library(sambausershareplugin MODULE ${sambausershareplugin_PART_SRCS})
 
@@ -20,18 +22,16 @@
     KF5::I18n
     KF5::KIOCore
     KF5::KIOWidgets
-    Qt5::Qml
-    Qt5::QuickWidgets
-    KF5::Auth
-    KF5::Declarative
+    Qt::Qml
+    Qt::QuickWidgets
+    KF5::AuthCore
 )
 
 if(SAMBA_INSTALL)
-    target_link_libraries(sambausershareplugin PK::packagekitqt5)
+    target_link_libraries(sambausershareplugin PK::packagekitqt${QT_MAJOR_VERSION})
 endif()
 
-install(TARGETS sambausershareplugin DESTINATION ${PLUGIN_INSTALL_DIR})
-install(FILES sambausershareplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+install(TARGETS sambausershareplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/propertiesdialog)
 
 # kauth

=== debian/changelog ===
kdenetwork-filesharing (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:50 +0100

=== debian/control ===
--- 
+++ 
@@ -29,9 +29,9 @@
 Package: kdenetwork-filesharing
 Section: net
 Architecture: any
-Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends}
-Suggests: samba
-Enhances: dolphin
+Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends},
+Suggests: samba,
+Enhances: dolphin,
 Description: network filesharing configuration module
  This package provides a way to configure network file-sharing using
  NFS and Samba in the properties dialogue of the file manager.

## kdenetwork-filesharing 23.04.0

=== debian/changelog ===
kdenetwork-filesharing (4:23.04.0-0xneon+22.04+jammy+release+build16) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 17:40:17 +0000

kdenetwork-filesharing (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:57:44 +0000

kdenetwork-filesharing (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:11:49 +0000

kdenetwork-filesharing (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:42:46 +0000

kdenetwork-filesharing (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:20:00 +0000

kdenetwork-filesharing (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:26:24 +0000

kdenetwork-filesharing (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:47:38 +0000

kdenetwork-filesharing (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:16:47 +0000

kdenetwork-filesharing (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:50:30 +0000

kdenetwork-filesharing (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:36:26 +0000

kdenetwork-filesharing (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:00:16 +0000

kdenetwork-filesharing (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:55:18 +0000

kdenetwork-filesharing (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:07:05 +0000

kdenetwork-filesharing (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:02:40 +0000

kdenetwork-filesharing (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:14 +0000

kdenetwork-filesharing (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:35:56 +0000

kdenetwork-filesharing (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 09:27:04 +0000

kdenetwork-filesharing (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021.12.29:25 +0000

kdenetwork-filesharing (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:53:14 +0000

kdenetwork-filesharing (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:23:39 +0000

kdenetwork-filesharing (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:54:22 +0000

kdenetwork-filesharing (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:21:24 +0000

kdenetwork-filesharing (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:59:24 +0000

kdenetwork-filesharing (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:13:00 +0000

kdenetwork-filesharing (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.25:33 +0000

kdenetwork-filesharing (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:34:04 +0000

kdenetwork-filesharing (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:07:00 +0000

kdenetwork-filesharing (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:22:21 +0000

kdenetwork-filesharing (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:22:29 +0000

kdenetwork-filesharing (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:15:31 +0000

kdenetwork-filesharing (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:38:39 +0000

kdenetwork-filesharing (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:23:41 +0000

kdenetwork-filesharing (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:46:15 +0000

kdenetwork-filesharing (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:58:28 +0000

kdenetwork-filesharing (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:45:10 +0000

kdenetwork-filesharing (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:15:10 +0000

kdenetwork-filesharing (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:52:19 +0000

kdenetwork-filesharing (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:11:22 +0000

kdenetwork-filesharing (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:08:42 +0000

kdenetwork-filesharing (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:22:42 +0000

kdenetwork-filesharing (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:20:10 +0000

kdenetwork-filesharing (4:19.04.3-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.6.0~),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5declarative-dev,
               libkf5doctools-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5widgetsaddons-dev (>= 5.7.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.0.0~),
               qtdeclarative5-dev
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdenetwork-filesharing.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdenetwork-filesharing
Maintainer: Neon CI <neon@kde.org>

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: samba
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 23.04.1

=== debian/changelog ===
kdenetwork-filesharing (4:23.04.1-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 11:48:33 +0000

kdenetwork-filesharing (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:45:58 +0000

## kdenetwork-filesharing 23.04.2

=== debian/changelog ===
kdenetwork-filesharing (4:23.04.2-0xneon+22.04+jammy+release+build19) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 12:49:52 +0000

kdenetwork-filesharing (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:21:54 +0000

## kdenetwork-filesharing 23.08.0

=== debian/changelog ===
kdenetwork-filesharing (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:56 +0100

kdenetwork-filesharing (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:48 +0100

kdenetwork-filesharing (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:28 +0100

kdenetwork-filesharing (4:23.04.2-0ubuntu2) mantic; urgency=medium

  * Add checkatomics-to-fix-riscv64-build.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 18:11:31 +0100

kdenetwork-filesharing (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add qcoro-qt5-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:03 +0100

kdenetwork-filesharing (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:56 +0000

kdenetwork-filesharing (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:01 -0600

kdenetwork-filesharing (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:53 +0000

kdenetwork-filesharing (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 07:49:42 +0000

kdenetwork-filesharing (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:03 +0000

kdenetwork-filesharing (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:22 +0000

kdenetwork-filesharing (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:47 +0000

kdenetwork-filesharing (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:55 +0000

## kdenetwork-filesharing 23.08.1

=== debian/changelog ===
kdenetwork-filesharing (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:02 +0100

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5auth-dev (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5declarative-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/network/kdenetwork-filesharing
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
Rules-Requires-Root: no

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends}
Suggests: samba
Enhances: dolphin
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 23.08.3

=== debian/changelog ===
kdenetwork-filesharing (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * NFS support removed by upstream with cb4fc5f5 (2011), update
    description.
  * Update build-deps with info from cmake.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 09 Nov 2023 17:57:47 -0500

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5auth-dev (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5declarative-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/kdenetwork-filesharing
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git
Rules-Requires-Root: no

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends},
Suggests: samba,
Enhances: dolphin,
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 23.08.4

=== debian/changelog ===
kdenetwork-filesharing (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)
  * Remove upstream_fix-polkit-auth-dialog.patch, applied upstream

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:12 +0000

kdenetwork-filesharing (4:23.08.3-1ubuntu2) noble; urgency=medium

  * Add upstream_fix-polkit-auth-dialog.patch (LP: #1996420)

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Dec 2023 08:11:26 +0000

kdenetwork-filesharing (4:23.08.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Add checkatomics-to-fix-riscv64-build.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Nov 2023 22:35:25 +0000

kdenetwork-filesharing (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:42 +0000

kdenetwork-filesharing (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:58 +0100

## kdenetwork-filesharing 23.08.5

=== samba/aclproperties/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020-2021 Harald Sitter <sitter@kde.org>

add_library(SambaAcl MODULE plugin.cpp qml/qml.qrc debug.cpp model.cpp aceobject.cpp)
target_link_libraries(SambaAcl
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::KIOWidgets
    KF${KF_MAJOR_VERSION}::KIOCore
    Qt::Qml
    Qt::QuickWidgets
)

install(TARGETS SambaAcl DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${KF_MAJOR_VERSION}/propertiesdialog/)

=== debian/changelog ===
kdenetwork-filesharing (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:41:35 +0200

kdenetwork-filesharing (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:36 +0000

kdenetwork-filesharing (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:50:57 +0000

kdenetwork-filesharing (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:42:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdenetwork-filesharing
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -23,8 +24,8 @@
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/network/kdenetwork-filesharing
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
 Rules-Requires-Root: no
 
 Package: kdenetwork-filesharing

## kdenetwork-filesharing 24.08.1

=== debian/changelog ===
kdenetwork-filesharing (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:16 +0100

kdenetwork-filesharing (4:24.08.0-0ubuntu1) oracular; urgency=medium

  * Merge from debian experimental.
  * New upstream release (24.08.0).
  * Refresh patch. 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 09 Sep 2024 02:21:36 -0700

kdenetwork-filesharing (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependincies according to cmake.
  * Bump standards version 4.7.0; no changes required.
  * Remove kf5 from rules.
  * Refresh copyright.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 02 Aug 2024 04:05:42 -0700

## kdenetwork-filesharing 24.08.2

=== debian/changelog ===
kdenetwork-filesharing (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:54:17 -0500

kdenetwork-filesharing (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 08:23:29 +0200

## kdenetwork-filesharing 24.12.0

=== debian/changelog ===
kdenetwork-filesharing (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:39:34 +0100

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.1.0~),
               gettext,
               libkf6auth-dev (>= 6.1.0~),
               libkf6completion-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6declarative-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6kio-dev (>= 6.1.0~),
               libkf6widgetsaddons-dev (>= 6.1.0~),
               libpackagekitqt6-dev,
               pkg-kde-tools (>= 0.12),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev(>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/network/kdenetwork-filesharing
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git
Rules-Requires-Root: no

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends},
Suggests: samba,
Enhances: dolphin,
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 24.12.1

=== debian/changelog ===
kdenetwork-filesharing (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:29:50 +0000

kdenetwork-filesharing (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:10:39 +0000

kdenetwork-filesharing (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:59 +0000

kdenetwork-filesharing (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:00:49 +0000

kdenetwork-filesharing (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:39:28 +0000

## kdenetwork-filesharing 24.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:27 +0000

kdenetwork-filesharing (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:14:57 +0000

## kdenetwork-filesharing 25.04.0

=== debian/changelog ===
kdenetwork-filesharing (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-declarative-dev(>= 6.6.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/network/kdenetwork-filesharing
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdenetwork-filesharing.git

## kdenetwork-filesharing 25.04.3

=== samba/filepropertiesplugin/CMakeLists.txt ===
add_library(sambausershareplugin MODULE
    sambausershareplugin.cpp
    model.cpp
    usermanager.cpp
    groupmanager.cpp
    permissionshelper.cpp
    qml/qml.qrc
)

target_link_libraries(sambausershareplugin
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    Qt::Qml
    Qt::QuickWidgets
    QCoro6::Coro
    KF6::AuthCore
)

if(SAMBA_INSTALL)
    target_sources(sambausershareplugin PRIVATE sambainstaller.cpp)
    target_link_libraries(sambausershareplugin PK::packagekitqt6)
endif()

install(TARGETS sambausershareplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/propertiesdialog)

# kauth

kauth_install_actions(org.kde.filesharing.samba org.kde.filesharing.samba.actions)
add_executable(authhelper authhelper.cpp)
target_link_libraries(authhelper KF6::AuthCore KF6::ConfigCore KF6::I18n)

kauth_install_helper_files(authhelper org.kde.filesharing.samba root)
install(TARGETS authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== debian/changelog ===
kdenetwork-filesharing (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - PermissionsHelper: stat without progress info.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 18:07:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
